| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
cv::gapi::wip::IStreamSource Class Referenceabstract

Abstract streaming pipeline source. More...

`#include <opencv2/gapi/streaming/source.hpp>`

Collaboration diagram for cv::gapi::wip::IStreamSource:

## Public Types
using | Ptr = std::shared_ptr<IStreamSource>

## Public Member Functions
virtual | ~IStreamSource ()=default
virtual GMetaArg | descr_of () const =0
virtual void | halt ()
Ptr | ptr ()
virtual bool | pull (Data &data)=0

## Detailed Description

Abstract streaming pipeline source.

Implement this interface if you want customize the way how data is streaming into GStreamingCompiled.

Objects implementing this interface can be passed to GStreamingCompiled using setSource() with cv::gin(). Regular compiled graphs (GCompiled) don't support input objects of this type.

Default cv::VideoCapture-based implementation is available, see cv::gapi::wip::GCaptureSource.

Note
  stream sources are passed to G-API via shared pointers, so please use ptr() when passing a IStreamSource implementation to cv::gin().

## Member Typedef Documentation

## ◆ Ptr

using cv::gapi::wip::IStreamSource::Ptr = std::shared_ptr<IStreamSource>

## Constructor & Destructor Documentation

## ◆ ~IStreamSource()

virtual cv::gapi::wip::IStreamSource::~IStreamSource | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ descr_of()

virtual GMetaArg cv::gapi::wip::IStreamSource::descr_of | ( |  | ) | const
| pure virtual

Implemented in cv::gapi::wip::GCaptureSource, cv::gapi::wip::gst::GStreamerSource, cv::gapi::wip::onevpl::GSource, and cv::gapi::wip::QueueSourceBase.

## ◆ halt()

virtual void cv::gapi::wip::IStreamSource::halt | ( |  | ) |
| inline virtual

Reimplemented in cv::gapi::wip::QueueSourceBase.

## ◆ ptr()

Ptr cv::gapi::wip::IStreamSource::ptr | ( |  | ) |
| inline

## ◆ pull()

virtual bool cv::gapi::wip::IStreamSource::pull | ( | Data & | data | ) |
| pure virtual

Implemented in cv::gapi::wip::GCaptureSource, cv::gapi::wip::gst::GStreamerSource, cv::gapi::wip::onevpl::GSource, and cv::gapi::wip::QueueSourceBase.

The documentation for this class was generated from the following file:

- opencv2/gapi/streaming/source.hpp